%define	version 1.2.0.20091227
%define	release %mkrel 2

Name:      ibus-table-wubi
Summary:   ibus-wubi - table-based engine
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPLv2+
URL:       http://code.google.com/p/ibus/
Source0:   http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: ibus-table-devel >= 1.2.0
BuildRequires: ibus-table-extraphrase-devel >= 1.1.0
BuildArch:	noarch
Requires:	ibus-table >= 1.2.0.20091113-2
Conflicts:	ibus-table < 0.1.2

%description
ibus-table-wubi provides WuBi input method on IBus Table under IBus framework.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x \
	--enable-wubi86 \
	--enable-wubi98 \
	--enable-extra-phrases
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/ibus-table/icons/*.svg
%{_datadir}/ibus-table/tables/*.db


%changelog
* Sat Jan 09 2010 Funda Wang <fwang@mandriva.org> 1.2.0.20091227-2mdv2010.1
+ Revision: 487925
- requires ibus-table rpm trigger

* Sun Jan 03 2010 Funda Wang <fwang@mandriva.org> 1.2.0.20091227-1mdv2010.1
+ Revision: 485764
- new version 1.2.0.20091227

* Tue Aug 04 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090715-1mdv2010.0
+ Revision: 408964
- fix requires
- new version 1.2.0

* Mon May 25 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090327-1mdv2010.0
+ Revision: 379363
- New version 1.1.0.20090327

* Mon Mar 16 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090316-1mdv2009.1
+ Revision: 355847
- New version 1.1.0.20090316

* Sat Feb 21 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090219-1mdv2009.1
+ Revision: 343594
- New version 1.1.0.20090219

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 0.1.2.20090101-1mdv2009.1
+ Revision: 324498
- create index after installing
- import ibus-table-wubi


